Exchange 2007 SP3 bulunan yapıda Exchange 2010 RTM PrepareSchema Hatası.

closeBu yazı 6 yıl 9 ay 2 gün önce yayınlanmış olduğundan güncelliğini yitirmiş veya içeriğindeki bilgilerin geçerliliği kaybolmuş olabilir. Herhangi bir yanlış anlaşılmadan bu site sorumlu değildir.
Exchange 2007 SP3 bulunan bir yapıda Exchange 2010 RTM PrepareSchema yaparsanız aşağıdaki hatayı alırsınız:
“Setup encountered a problem while validating the state of Active Directory. The Active Directory schema version (14625) is higher than the Setup’s version (14622). Therefore, PrepareSchema can’t be executed.”

Bunun nedeni Exchange 2007 SP3’ün schema versiyonunun Exchange 2010 RTM’den yüksek olmasıdır.

Exchange 2007 SP3 Schema Exchange 2010 değişikliklerinide içerir bu nedenle Exchange 2010 PrepareSchema işlemini tekrar yapmanıza gerek yok. Ancak Exchange 2010 setup ile /PrepareAD işlemini yapmanız gerektiğini unutmayın.

Exchange 2010 SP1 ile bu durum düzeltilecektir çünkü SP1 Beta’da schema versiyonu 14718.(SP1 çıktığında değişebilir).

Bu bilgi için Nawar Al-Janabi‘ye teşekkür ederim.

Yayınlayan: Serkan Varoğlu

Yıldız Teknik Üniversitesi Elektrik Mühendisliğini bitirdim. Türkiye'de birçok farklı sektör ve firmada Sistem Yöneticiği yaptım. Bermudada 3 yıla yakın danışmanlık yaptıktan sonra şu anda İrlanda'da çalışma hayatıma devam ediyorum.